.f-background-slideshow-section .f-slide__content .f-button--secondary {
    color: var(--btn-color, #000000);
    border-color: var(--btn-color, #000000)
}

.f-background-slideshow-section .f-slide__content .f-button--secondary:hover, .f-background-slideshow-section .f-slide__content .f-button--secondary:focus {
    border-color: var(--btn-color) !important;
    background: var(--btn-color) !important;
    color: var(--btn-color-hover) !important;
    box-shadow: 0 0 0 .2rem var(--btn-color) !important
}

.f-background-slideshow-section .f-slide__content .f-button--link {
    color: var(--btn-color, #000000)
}

@media screen and (max-width: 767px) {
    .f-slideshow-section.f-slider--content-stack .f-slide__content .f-button--secondary {
        --btn-color: contrast-color(rgba(var(--color-background), 1)) !important;
        --btn-color-hover: rgba(var(--color-background), 1) !important
    }
}

.f-background-slideshow-section .f-slide__wrapper {
    position: relative;
}

.f-background-slideshow-section .f-slide {
    height: 100%;
    position: relative
}

.f-background-slideshow-section .swiper-container {
    min-height: 700px;
    height: 100%;
    display: flex;
}

.f-background-slideshow-section .swiper-wrapper {
    position: absolute;
    left: 0;
    top: 0;
    z-index: 1;
}

@media screen and (max-width: 767px) {
    .f-background-slideshow-section .f-slider-controls {
        position: absolute;
        left: 0;
        bottom: 20px;
        width: 100%;
    }
}

.f-slide__wrapper {
    display: flex;
    width: 100%;
    height: 100%;
    position: relative;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 20;
    padding-top: 15px;
    padding-bottom: 15px;
}


.f-slide__media {
    height: 100%;
    position: relative
}

.f-slide__content {
    animation: none;
    width: 100%;
}

.f-slide__subtitle, .f-slide__title, .f-slide__description, .f-slide__button, .f-slide__content {
    -webkit-transition: all var(--f-duration-short, 0.1s);
    transition: all var(--f-duration-short, 0.25s);
    opacity: 0;
    visibility: hidden
}

.f-slide-animate--fade-in-up .f-slide__subtitle, .f-slide-animate--fade-in-up .f-slide__title, .f-slide-animate--fade-in-up .f-slide__description, .f-slide-animate--fade-in-up .f-slide__button, .f-slide-animate--fade-in-up .f-slide__content {
    -webkit-transform: translateY(20px);
    transform: translateY(20px)
}

.f-slide-animate--fade-in-left .f-slide__subtitle, .f-slide-animate--fade-in-left .f-slide__title, .f-slide-animate--fade-in-left .f-slide__description, .f-slide-animate--fade-in-left .f-slide__button, .f-slide-animate--fade-in-left .f-slide__content {
    -webkit-transform: translateX(-30px);
    transform: translateX(-30px)
}

.f-slide-animate--fade-in-right .f-slide__subtitle, .f-slide-animate--fade-in-right .f-slide__title, .f-slide-animate--fade-in-right .f-slide__description, .f-slide-animate--fade-in-right .f-slide__button, .f-slide-animate--fade-in-right .f-slide__content {
    -webkit-transform: translateX(30px);
    transform: translateX(30px)
}

.f-slide__button {
    gap: 16px
}

.f-slide__overlay::before {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-color: var(--color-image-overlay);
    opacity: var(--opacity-image-overlay);
    pointer-events: none
}

.f-slide__bg {
    height: 100%;
    pointer-events: none
}

.f-slide__bg video {
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.f-slide__bg img {
    width: 100%;
    height: 100%;
    object-fit: cover
}

.f-slide__bg--mobile {
    pointer-events: none
}

.f-slide__placeholder {
    overflow: hidden
}

.f-slide--has-link .f-slide__wrapper {
    pointer-events: none
}

.f-slide--has-link .f-slide__button {
    pointer-events: auto
}

.swiper-container[class*="--middle-"] {
    align-items: center
}

.swiper-container[class*="--top-"] {
    align-items: flex-start
}

.swiper-container[class*="--bottom-"] {
    align-items: flex-end
}

.f-slide--top-center .f-slide__wrapper, .f-slide--bottom-center .f-slide__wrapper, .f-slide--middle-center .f-slide__wrapper {
    justify-content: center
}

.f-slide--top-left {
    justify-content: flex-start
}

.f-slide--top-right .f-slide__wrapper, .f-slide--bottom-right .f-slide__wrapper, .f-slide--middle-right .f-slide__wrapper {
    justify-content: flex-end
}

@media screen and (max-width: 767px) {
    .f-slide .f-slide__bg video {
        position: static
    }
}

.f-slider {
    position: relative;
    height: 100%;

}

.f-slider .container-full {
    padding-left: 0;
    padding-right: 0
}

.f-slider--adapt .f-slide__media {
    height: 100%
}

.f-slider--adapt .f-slide__bg--mobile {
    /*position: absolute;*/
    /*bottom: 0;*/
    /*left: 0;*/
    /*right: 0;*/
    /*top: 0;*/
    backface-visibility: hidden;
    transform: scale(1.01) translateZ(0);
    transform-origin: center;
    transition: all 3s
}

.f-slider.f-slider--small:not(.f-slider--adapt) .f-slide__media {
    height: 300px;
}

.f-slider.f-slider--medium:not(.f-slider--adapt) .f-slide__media {
    height: 450px;
}

.f-slider.f-slider--large:not(.f-slider--adapt) .f-slide__media {
    height: 650px;
}

.f-slider.f-slider--fullscreen :not( .f-slider--adapt) .f-slide__media {
    height: 100%;
    /*height: calc(100vh - (var(--main-content-padding-top, var(--f-header-height, 0px)) + var(--f-topbar-height, 0px) + var(--f-announcement-height, 0px)))*/
}

.f-slider__footer {
    position: absolute;
    bottom: 40px;
    left: 0;
    right: 0;
    z-index: 29;
    gap: 8px;
    opacity: 0
}

.f-slider-controls--pagination-bottom .f-slider__footer--center {
    bottom: 70px
}

@media screen and (min-width: 768px) {
    .f-slider__footer .f-button--link {
        color: var(--btn-color, #000000)
    }
}

@media screen and (max-width: 767px) {
    .f-slider__footer {
        display: none
    }
}

.f-slider .f-slider-controls__button {
    left: 0;
    border: none;
    margin: 0;
    opacity: .75;
    transition: all var(--f-duration-default, 0.25s) ease;
    color: var(--swiper-controls-color, #222);
    background-color: rgba(0, 0, 0, 0)
}

.f-slider .f-slider-controls__button svg {
    width: 30px;
    height: 30px
}

@media screen and (min-width: 768px) {
    .f-slider .f-slider-controls__button svg {
        width: 50px;
        height: 50px
    }

    .f-slider .f-slider-controls__button svg path {
        -webkit-filter: drop-shadow(0px 1px 1px rgba(0, 0, 0, 0.5));
        -moz-filter: drop-shadow(0px 1px 1px rgba(0, 0, 0, 0.5));
        -o-filter: drop-shadow(0px 1px 1px rgba(0, 0, 0, 0.5));
        -ms-filter: drop-shadow(0px 1px 1px rgba(0, 0, 0, 0.5));
        filter: drop-shadow(0px 1px 1px rgba(0, 0, 0, 0.5))
    }
}

@media screen and (min-width: 1280px) {
    .f-slider .f-slider-controls__button svg {
        width: 70px;
        height: 70px
    }
}

.f-slider .f-slider-controls__button-next {
    right: 0;
    left: auto !important
}

@media screen and (min-width: 768px) {
    .f-slider .f-slider-controls__button:hover {
        background: rgba(0, 0, 0, 0);
        box-shadow: none;
        color: currentColor;
        opacity: 1;
        color: var(--swiper-controls-color, #222)
    }
}

@media screen and (min-width: 1280px) {
    .f-slider .f-slider-controls__button {
        width: 80px;
        height: 80px
    }
}

@media screen and (max-width: 767px) {
    .f-slider .f-slider-controls {
        margin: 0
    }
}

@media screen and (max-width: 1599px) {
    .f-slider .f-slider-controls--show-nav .f-slide__wrapper {
        padding-left: 100px;
        padding-right: 100px
    }
}

@media screen and (max-width: 1279px) {
    .f-slider .f-slider-controls--show-nav .f-slide__wrapper {
        padding-left: 70px;
        padding-right: 70px
    }
}

@media screen and (max-width: 767px) {
    .f-slider .f-slider-controls--show-nav .f-slide__wrapper {
        padding-left: 15px;
        padding-right: 15px
    }
}

@media screen and (min-width: 768px) {
    .f-slider .f-slider-controls {
        margin: 0
    }

    .f-slider .f-slider-controls--absolute[class*=-bottom-] .swiper-pagination {
        position: absolute;
        left: 50%;
        bottom: 20px;
        transform: translateX(-50%);
        margin-top: 0
    }

    .f-slider .f-slider-controls--absolute[class*=-left] .swiper-pagination {
        left: var(--pagination-offset-left, 40px)
    }

    .f-slider .f-slider-controls--absolute[class*=-left] .f-slider-controls--show-nav .swiper-pagination {
        left: var(--pagination-offset-left, 20px)
    }

    .f-slider .f-slider-controls--absolute[class*=-left] .f-slider-controls--show-nav .f-slider-controls__button-prev {
        left: var(--pagination-offset-left, 40px)
    }

    .f-slider .f-slider-controls--absolute[class*=-right] .swiper-pagination {
        right: var(--pagination-offset-right, 40px)
    }

    .f-slider .f-slider-controls--absolute[class*=-right] .f-slider-controls--show-nav .swiper-pagination {
        right: var(--pagination-offset-right, 20px)
    }

    .f-slider .f-slider-controls--absolute[class*=-right] .f-slider-controls--show-nav .f-slider-controls__button-next {
        right: var(--pagination-offset-right, 40px)
    }

    .f-slider .swiper-pagination-bullet {
        margin: 10px 0
    }
}

@media screen and (max-width: 767px) {
    .f-slider--content-stack .f-slide__content {
        max-width: initial;
        text-align: center;
        width: 100%
    }

    .f-slider--content-stack .f-slide__subtitle, .f-slider--content-stack .f-slide__title, .f-slider--content-stack .f-slide__description {
        color: contrast-color(rgba(var(--color-background), 1))
    }

    .f-slider--content-stack .f-richtext__button {
        justify-content: center
    }

    .f-slider--content-stack .f-slide__wrapper {
        position: static;
        padding-top: 32px
    }

    .f-slider--content-stack .f-button--white {
        background-color: rgb(var(--color-button));
        border-color: rgb(var(--color-button));
        color: rgb(var(--color-button-text))
    }

    .f-slider--content-stack .f-slider-controls {
        --swiper-controls-color: var(--text-black) !important
    }

    .f-slider .f-slider-controls__button {
        position: static;
        transform: none;
        color: rgba(var(--text-black), 1);
        opacity: 1;
        border: none
    }

    .f-slider .swiper-pagination {
        position: static;
        width: auto
    }
}

.swiper-slide-active .f-slider__footer {
    opacity: 1;
    -webkit-animation-name: moLeftToRight;
    animation-name: moLeftToRight;
    -webkit-animation-duration: 1s;
    animation-duration: 1s;
    -webkit-animation-fill-mode: both;
    animation-fill-mode: both
}

.swiper-slide-active .f-slide__subtitle, .swiper-slide-active .f-slide__description, .swiper-slide-active .f-slide__title, .swiper-slide-active .f-slide__button, .swiper-slide-active .f-slide__content {
    -webkit-transition: all var(--f-duration-long, 0.5s) cubic-bezier(0.1, 0.2, 0.7, 1);
    transition: all var(--f-duration-long, 0.5s) cubic-bezier(0.1, 0.2, 0.7, 1);
    opacity: 1;
    visibility: visible
}

.swiper-slide-active .f-slide-animate--fade-in-up .f-slide__subtitle, .swiper-slide-active .f-slide-animate--fade-in-up .f-slide__description, .swiper-slide-active .f-slide-animate--fade-in-up .f-slide__title, .swiper-slide-active .f-slide-animate--fade-in-up .f-slide__button, .swiper-slide-active .f-slide-animate--fade-in-up .f-slide__content {
    -webkit-transform: translateY(0);
    transform: translateY(0)
}

.swiper-slide-active .f-slide-animate--fade-in-left .f-slide__subtitle, .swiper-slide-active .f-slide-animate--fade-in-left .f-slide__description, .swiper-slide-active .f-slide-animate--fade-in-left .f-slide__title, .swiper-slide-active .f-slide-animate--fade-in-left .f-slide__button, .swiper-slide-active .f-slide-animate--fade-in-left .f-slide__content, .swiper-slide-active .f-slide-animate--fade-in-right .f-slide__subtitle, .swiper-slide-active .f-slide-animate--fade-in-right .f-slide__description, .swiper-slide-active .f-slide-animate--fade-in-right .f-slide__title, .swiper-slide-active .f-slide-animate--fade-in-right .f-slide__button, .swiper-slide-active .f-slide-animate--fade-in-right .f-slide__content {
    -webkit-transform: translateX(0);
    transform: translateX(0)
}

.swiper-slide-active .f-slide__subtitle {
    transition-delay: .1s
}

.swiper-slide-active .f-slide__title {
    transition-delay: .2s
}

.swiper-slide-active .f-slide__description {
    transition-delay: .3s
}

.swiper-slide-active .f-slide__button {
    transition-delay: .4s
}

.f-bottom-content {
    background-size: cover;
    background-repeat: no-repeat;
    gap: 20px;
    margin-top: 120px;
}


.f-bottom-content .f-bottom-content-item {
    text-align: start;
    gap: 20px;
    display: inline-flex;
}

.f-bottom-content .f-item-padding {
    padding: 24px;
}

.f-bottom-content .f-bottom-content-item .f-slide__description {
    margin-top: 10px;
}

.f-bottom-content .f-bottom-content-item .f-button {
    margin-top: 20px;
}

.f-bottom-content .f-bottom-content-item .m\:flex {
    gap: 24px;
}

.f-bottom-content .f-bg-blur {
    background: rgba(0, 0, 0, .1);
    backdrop-filter: blur(20px);
}

.f-bottom-content .w-80px {
    width: 80px;
}

.f-bottom-content .img-1 {
    padding: 10px;
}

@media screen and (max-width: 1023px) {
    .f-bottom-content {
        margin-top: 80px;
    }

    .f-bottom-content .f-item-padding {
        width: 100%;
    }

    .f-bottom-content .f-bottom-content-item .f-left-1 {
        align-items: center;
    }
}

@media screen and (max-width: 990px) {

    .f-bottom-content .f-bottom-content-item {
        flex-direction: column;
    }

    .f-bottom-content .f-bottom-content-item .f-left-1 {
        flex-direction: column;
    }


}

@media screen and (max-width: 769px) {
    .f-bottom-content {
        flex-direction: column;
    }


    .f-bottom-content .f-bottom-content-item {
        flex-wrap: wrap;
    }

}

